(function(global, factory) {
  typeof exports === "object" && typeof module !== "undefined" ? module.exports = factory(require("@nuxt/kit")) : typeof define === "function" && define.amd ? define(["@nuxt/kit"], factory) : (global = typeof globalThis !== "undefined" ? globalThis : global || self, global["vue-debug-queryparam/nuxt"] = factory(global.Nuxt));
})(this, function(kit) {
  "use strict";
  var _documentCurrentScript = typeof document !== "undefined" ? document.currentScript : null;
  const nuxtModule = kit.defineNuxtModule({
    meta: {
      name: "vue-debug-queryparam",
      configKey: "vue-debug-queryparam",
      compatibility: {
        nuxt: "^3.0.0-rc.12"
      }
    },
    setup(options, nuxt) {
      const { resolve } = kit.createResolver(typeof document === "undefined" && typeof location === "undefined" ? require("url").pathToFileURL(__filename).href : typeof document === "undefined" ? location.href : _documentCurrentScript && _documentCurrentScript.src || new URL("nuxt.umd.cjs", document.baseURI).href);
      nuxt.options.build.transpile.push(resolve("./runtime"));
      kit.addPlugin(resolve("./runtime/nuxt-plugin"));
      nuxt.options.css.push("vue-debug-queryparam/style.css");
    }
  });
  return nuxtModule;
});
