# vue-debug-queryparam

A vue plugin for displaying debugging information.

## Quick start

In vanilla vue:

```
import debugQueryparam 'vue-debug-queryparam/plugin'
vueApp.use(debugQueryParam)
```

In nuxt:

```
modules: [
    'vue-debug-queryparam/nuxt'
]
```

The debug composable:

```
import useDebug from 'vue-debug-queryparam'
const debug = useDebug()
console.log(debug) // Prints true if ?debug=true is set
debug.value = true // Sets ?debug=true in the URL
```

The debug component:

```
<DebugData
   :data="{ myvar1, myvar2 }"
   :expand-depth="2"
/>
```
